

 my0 = 4.*pi.*1e-7;% H/m = V*s/(A*m)
%               H (A/m)               B (Tesla) Vs/m^2
  BH_curve = [0.0000000e+000  0.0000000e+000
              5.0000000e+002  3.8100000e-001
              6.0000000e+002  4.6500000e-001
              7.0000000e+002  5.4600000e-001
              8.0000000e+002  6.0900000e-001
              9.0000000e+002  6.7400000e-001
              1.0000000e+003  7.2900000e-001
              1.1000000e+003  7.8300000e-001
              1.2000000e+003  8.3200000e-001
              1.3000000e+003  8.7900000e-001
              1.5000000e+003  9.5500000e-001
              2.0000000e+003  1.1240000e+000
              2.5000000e+003  1.2560000e+000
              3.0000000e+003  1.3690000e+000
              4.0000000e+003  1.5250000e+000
              1.0000000e+004  1.7990000e+000
              1.5000000e+004  1.8880000e+000
              2.0000000e+004  1.9500000e+000
              3.0000000e+004  2.0350000e+000
              5.0000000e+004  2.1100000e+000];
          
  H = BH_curve(:,1);
  B = BH_curve(:,2);
  M = B/my0-H;

